PHP 5

Allgemeines Forum zum Thema Apache Friends. Bei Problemen mit XAMPP bitte entweder das Linux- oder das Windows-Forum benutzen. Hier geht's wirklich nur ganz allgemein um Apache Friends.

PHP 5

Postby bblochl2 » 26. August 2005 21:27

XAMPP finde ich ganz super. Damit kommen auch Anfänger gut zurecht. Ich drücke gewöhnlich Windows-Nutzern, die sich für PHP interessieren eine XAMPP-CD in die Hand.

Mit der PHP-Version bin ich aber etwas ratlos. In einigen Texten der Homepage von apachefriends wird bereitis PHP 5 erwähnt. Z. B.auf "Wozu bitte XAMPP für Linux?" (siehe http://www.apachefriends.org/de/faq-af.html#wozu). Die Linux-Version hat nach Downloadliste beides, sowohl PHP4.4.0 und bereits PHP 5.0.4. Eindeutig vermerkt ist PHP 4.4.0 auf der XAMPP für Windows Downloadseite, aber ohne PHP 5.0.4. Vermutlich hat die Windows Version kein PHP 5? (Ich arbeite nur mit Linux und kann das nicht ausprobieren.) So manches ist ja inkompatibel, deshalb die vielleicht blöde Frage: Ist PHP 4.4.0 ein falscher Eintrag im XAMPP-Windows-Download-Paket?
(Denn so ganz versteh ich`s nicht, dass da PHP 4.4.0 beigepackt ist, weil der PHP 4.4.0 seit 11. Juli 2005 verfügbar ist, PHP 5.0.4 seit 3. April 2005, also vor PHP 4.4.0 - sicher gibt es irgendeine Erklärung für das Unverständliche.)

Nochmal vielen Dank für die schönen XAMPP-Pakete!

Beste Grüße


. [/b]
bblochl2
 
Posts: 1
Joined: 26. August 2005 20:52

Postby Wiedmann » 26. August 2005 21:35

Bei jedem XAMPP ist sowohl PHP5 wie auch PHP4 dabei, da beide PHP-Versionen noch "weiterentwickelt" werden.

PHP4 steht aktuell bei 4.4.0
PHP5 steht aktuell bei 5.0.4

Bei einer Neuinstallation vom XAMPP ist PHP5 aktiv.

Auf der XAMPP-Download Seite steht ganz oben welche Komponenten im aktuellen XAMPP Release zur Vorgängerversion upgedatet wurden. Bei PHP gab es diesmal nur Neues zu PHP4. Deshalb "Update PHP 4.4.0".

Direkt bei den Downloadlinks steht dann welche Komponenten im Packet enthalten sind. Hier sind natürlich beide Versionen aufgeführt.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby shevegen » 01. September 2005 01:58

Wird es in absehbarer Zeit (innerhalb von 1-2 Jahren) dazu kommen, das php4 rausfällt?

Ich frage hier rein interessenhalber. Angefangen habe ich mit php5, php4 war daher für mich nie ein Thema. Für andere mag dies natürlich anders aussehen.
User avatar
shevegen
 
Posts: 107
Joined: 08. June 2004 04:52

Postby deepsurfer » 01. September 2005 07:04

Irgendwann mit sicherheit, aber was gut wäre (meine Einschätzung!), ist das Du dir zumindest die unterschiede zu PHP4 aneignest.
Denn aufgrund der Fülle an Applikationen die auf PHP5 nicht laufen ist eine Fehlersuche ohne vorhandenes Hintergrundwissen zu PHP4 fast nervenzerreissend.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

php 5.04 tauschen gegen 5.05

Postby Charlie » 06. October 2005 18:26

Hallo an alle,
da ja die php Version 5.05 gerade rausgebracht wurde habe ich dazu eine frage ?
Kann ich die 5.05 gegen die 5.04 einfach austauschen und was muß man dabei beachten ?
Für eure Antworten schon im vorraus besten Dank.

Gruß Charlie
Charlie
 
Posts: 2
Joined: 05. October 2005 22:14
Location: Obertiefenbach


Return to Apache Friends

Who is online

Users browsing this forum: No registered users and 3 guests